<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Table with 9 Columns</title>
<style>
    @page {
            margin-top: 3.5cm;
            margin-right: 1.5cm;
            margin-left: 1.5cm;
        }

        /** Define the header rules **/
        header {
            position: fixed;
            top: 0cm;
            left: 0cm;
            right: 0cm;
            height: 6.5cm;

        }

        /** Define the footer rules **/
        footer {
            position: fixed;
            bottom: 0cm;
            left: 0cm;
            right: 0cm;
        },


    table {
        width: 100%;
        border-collapse: collapse;
        border: 1px solid #ddd;
    }
    th, td {
        border: 1px solid #ddd;
        padding: 3px;
        /* text-align: center; */
        font-size: 12px;
    }
    th {
        background-color: #f2f2f2;
        font-weight: bold;
    }
    tr:nth-child(even) {
        background-color: #f2f2f2;
    }

    .text-center{
        text-align: center;
    }

</style>
</head>
<body>

<table style="width:100%;">
  <thead style="background-color: dimgrey">
    <tr>
        <th class="text-center " style="width:5%">No</th>
        <th class="text-center" style="width:21%">Jenis Rekening</th>
        <th class="text-center" style="width:12%">Tgl Realisasi</th>
        <th class="text-center" style="width:7%">Mata Uang</th>
        <th class="text-center" style="width:15%">Saldo</th>
        <th class="text-center" style="width:10%">Jangka Waktu</th>
        <th class="text-center" style="width:8%">Suku Bunga</th>
        <th class="text-center" style="width:12%">Tgl Jatuh Tempo</th>
        <th class="text-center" style="width:10%">Keterangan</th>
    </tr>
  </thead>
  <tbody>
        @if (count($data['DataAccounts'])>0)
            @php $i=1
            @endphp
            @foreach ($data['DataAccounts'] as $val)

                @php

                    $months ="";
                    if ($val['TERM'] != '') {
                    $arrData = substr($val['TERM'],-1);
                    if($arrData = 'Y'){
                            $monthsInYear = 12;
                            $months = intval(substr($val['TERM'], 0, -1)) * $monthsInYear;
                            // $term =  $days;
                        }elseif ($arrData = 'D') {
                                $averageDaysInMonth = 30.44;
                                $months = intval(substr($val['TERM'], 0, -1)) / $averageDaysInMonth;
                                // return $days;
                        }else{
                                    $months = intval($val['TERM']);
                        }
                    }
                @endphp

                <tr class="">
                    <td class="text-center ">{{ $i++ }}</td>
                    <td class="text-left">{{ $val['SHORT_NAME'] }}</td>
                    <td class=" text-center">{{ $val['OPENING_DATE'] }}</td>
                    <td class=" text-center">{{ $val['CURRENCY'] }}</td>
                    <td class=" text-left">{{  ($val['WORKING_BALANCE'] != 0.00) ?  number_format($val['WORKING_BALANCE'],2,',','.') :  'NIHIL'}} </td>
                    <td class="text-center ">{{ round(intval($months)) ? 0 : '' }} </td>
                    <td class="text-center ">{{ intval($val['FIXED_RATE']) / 100 }} %</td>
                    <td class="text-center ">{{ $val['MATURITY_DATE'] }}</td>
                    <td class="text-center ">{{ $val['ACCOUNT_NUMBER'] }}</td>

                </tr>
            @endforeach
        @else
                <tr class="">
                    <td class="" colspan="9" style="text-align: center;">Tidak Ada Data Yang Ditampilkan</td>
                </tr>
        @endif
    <!-- Add more rows here if needed -->
  </tbody>
</table>

</body>
</html>
